The Pricing Rule Brand object
Attributes
Unique identifier for the object.
{
"id": "pricing-rule-brand_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"brand": "brand_example",
"uom": "uom_example"
} /api/accounts/pricing-rule-brand?parent_id={id} List pricing rule brands by parent
Returns all pricing rule brands belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of pricing rule brand objects belonging to the parent.
curl https://api.overplane.dev/api/accounts/pricing-rule-brand?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "pricing-rule-brand_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"brand": "brand_example",
"uom": "uom_example"
}
],
"has_more": false,
"total": 1
} /api/accounts/pricing-rule-brand Create a pricing rule brand
Creates a new pricing rule brand object.
Body parameters
Returns
Returns the newly created pricing rule brand object if the call succeeded.
curl https://api.overplane.dev/api/accounts/pricing-rule-brand \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_id":null,"parent_type":"parent_type_example"}' {
"id": "pricing-rule-brand_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"brand": "brand_example",
"uom": "uom_example"
} /api/accounts/pricing-rule-brand/{id} Update a pricing rule brand
Updates the specified pricing rule brand by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the pricing rule brand to update.
Body parameters
Returns
Returns the updated pricing rule brand object.
curl https://api.overplane.dev/api/accounts/pricing-rule-brand/pricing-rule-brand_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "pricing-rule-brand_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"brand": "brand_example",
"uom": "uom_example"
} /api/accounts/pricing-rule-brand/{id} Delete a pricing rule brand
Permanently deletes a pricing rule brand. This cannot be undone.
Path parameters
The identifier of the pricing rule brand to delete.
Returns
Returns a confirmation that the pricing rule brand has been deleted.
curl https://api.overplane.dev/api/accounts/pricing-rule-brand/pricing-rule-brand_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "pricing-rule-brand_abc123",
"deleted": true
} /api/accounts/pricing-rule-brand/reorder Reorder pricing rule brands
Updates the sort order of pricing rule brands within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/accounts/pricing-rule-brand/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "pricing-rule-brand_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"brand": "brand_example",
"uom": "uom_example"
}